	
	$(function() {
		load(1);
	});
	function load(page){
		var query=$("#q").val();
		var per_page=$("#per_page").val();
		var parametros = {"action":"ajax","page":page,'query':query,'per_page':per_page};
		$("#loader").fadeIn('slow');
		$.ajax({
			url:'./ajax/usuarios_ajax.php',
			data: parametros,
			 beforeSend: function(objeto){
			$("#loader").html("<img src='./img/ajax-loader.gif'>");
		  },
			success:function(data){
				$(".outer_div").html(data).fadeIn('slow');
				$("#loader").html("");
			}
		})
	}
	
	function per_page(valor){
		$("#per_page").val(valor);
		load(1);
		$('.dropdown-menu li' ).removeClass( "active" );
		$("#"+valor).addClass( "active" );
	}

	
	

		
		//La funcion siguiente elimina datos usando el plugins confirm		

		function eliminar(id){
			//https://craftpip.github.io/jquery-confirm/ documentacion
			$.confirm({
				title: 'Mensaje del sistema',
				content: 'Esta acción  eliminará de forma permanente el usuario. <br> Desea continuar?',
				buttons: {
					somethingElse: {
					text: 'Aceptar',
					btnClass: 'btn-blue',
					
					action: function(){
						var parametros = {"id":id};
						$.ajax({
								type: "GET",	
								url:'ajax/eliminar/usuario.php',
								data: parametros,
								 beforeSend: function(objeto){
								$("#loader").html("<img src='./img/ajax-loader.gif'>");
							  },
								success:function(data){
									$("#resultados_ajax").html(data);
									$("#loader").html("");
									window.setTimeout(function() {
									$(".alert").fadeTo(500, 0).slideUp(500, function(){
									$(this).remove();});}, 5000);
									
									load(1);
								}
							})
				
					}
				},
				    cancelar: function () {
						//No hace nada :P
					}
				}
			});
		}

	
	




$( "#guardar_usuario" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/registro/agregar_usuario.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Enviando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
			window.setTimeout(function() {
			$(".alert").fadeTo(500, 0).slideUp(500, function(){
			$(this).remove();});}, 5000);
			$('#usuario_modal').modal('hide');
		  }
	});
  event.preventDefault();
})



$( "#editar_usuario" ).submit(function( event ) {
  $('#actualizar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/modificar/usuario.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Enviando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
			window.setTimeout(function() {
			$(".alert").fadeTo(500, 0).slideUp(500, function(){
			$(this).remove();});}, 5000);
			$('#usuario_edit').modal('hide');
		  }
	});
  event.preventDefault();
});

$( "#editar_password" ).submit(function( event ) {
  $('#actualizar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/modificar/password.php",
			data: parametros,
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
			window.setTimeout(function() {
			$(".alert").fadeTo(500, 0).slideUp(500, function(){
			$(this).remove();});}, 5000);
			$('#password_edit').modal('hide');
		  }
	});
  event.preventDefault();
});



		function editar(id){
			var parametros = {"action":"ajax","id":id};
			$.ajax({
					url:'modal/editar/usuario.php',
					data: parametros,
					 beforeSend: function(objeto){
					$("#loader2").html("<img src='./img/ajax-loader.gif'>");
				  },
					success:function(data){
						$(".outer_div2").html(data).fadeIn('slow');
						$("#loader2").html("");
						checked_all();
					}
				})
		}
		
		function editar_pw(user_id){
			$( ".outer_div3" ).load( "modal/editar/password.php?user_id="+user_id );
		}
